%define pkg_name        XML-Encoding
%define pkg_version     2.01
%define rpm_pkg_version 2.01
%define rpm_pkg_release 1.n0i.15

Summary:       Parses encoding map XML files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CO/COOPERCL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(XML::Parser) >= 2.18}


%description
This module, built as a subclass of XML::Parser, parses encoding map XML files.
Included in the distribution is the compile_encoding script that compiles these
to the binary form used by XML::Parser in order to parse scripts in the given
encoding. Also included is a script that generates encoding map XML files from
the type of mapping files obtained at ftp://ftp.unicode.org/Public/MAPPINGS.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b}
%doc Changes README


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 2.01-1.n0i.15
- version 2.01

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-38.n0i.14
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 1.01-37.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.01-36.n0i.12
- automatic rebuild (perl 5.8.6)

* Thu Dec 02 2004 Marius Feraru <altblue@n0i.net> 0:1.01-36.n0i.11
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
- rebuild (perl 5.8.6)
